diff --git a/lib/app/modules/petugas_desa/views/konfirmasi_penerima_page.dart b/lib/app/modules/petugas_desa/views/konfirmasi_penerima_page.dart
index 827f29e..755d55d 100644
--- a/lib/app/modules/petugas_desa/views/konfirmasi_penerima_page.dart
+++ b/lib/app/modules/petugas_desa/views/konfirmasi_penerima_page.dart
@@ -198,7 +198,7 @@ class _KonfirmasiPenerimaPageState extends State<KonfirmasiPenerimaPage> {
                 'Tempat, Tanggal Lahir',
                 warga?['tempat_lahir'] != null &&
                         warga?['tanggal_lahir'] != null
-                    ? '${warga!['tempat_lahir']}, ${DateTimeHelper.formatDate(DateTime.parse(warga['tanggal_lahir']), format: 'd MMMM yyyy')}'
+                    ? '${warga!['tempat_lahir']}, ${FormatHelper.formatDateTime(DateTime.parse(warga['tanggal_lahir']), format: 'd MMMM yyyy')}'
                     : 'Bogor, 2 Juni 1990'),
             const Divider(),
 
@@ -236,18 +236,18 @@ class _KonfirmasiPenerimaPageState extends State<KonfirmasiPenerimaPage> {
 
     String tanggalWaktuPenyaluran = '';
     if (widget.tanggalPenyaluran != null) {
-      final tanggal = DateTimeHelper.formatDate(widget.tanggalPenyaluran!);
-      final waktuMulai = DateTimeHelper.formatTime(widget.tanggalPenyaluran!);
-      final waktuSelesai = DateTimeHelper.formatTime(
+      final tanggal = FormatHelper.formatDateTime(widget.tanggalPenyaluran!);
+      final waktuMulai = FormatHelper.formatTime(widget.tanggalPenyaluran!);
+      final waktuSelesai = FormatHelper.formatTime(
           widget.tanggalPenyaluran!.add(const Duration(hours: 1)));
       tanggalWaktuPenyaluran = '$tanggal $waktuMulai-$waktuSelesai';
     } else if (penerima.penyaluranBantuan != null &&
         penerima.penyaluranBantuan!['tanggal_penyaluran'] != null) {
       final tanggalPenyaluran =
           DateTime.parse(penerima.penyaluranBantuan!['tanggal_penyaluran']);
-      final tanggal = DateTimeHelper.formatDate(tanggalPenyaluran);
-      final waktuMulai = DateTimeHelper.formatTime(tanggalPenyaluran);
-      final waktuSelesai = DateTimeHelper.formatTime(
+      final tanggal = FormatHelper.formatDateTime(tanggalPenyaluran);
+      final waktuMulai = FormatHelper.formatTime(tanggalPenyaluran);
+      final waktuSelesai = FormatHelper.formatTime(
           tanggalPenyaluran.add(const Duration(hours: 1)));
       tanggalWaktuPenyaluran = '$tanggal $waktuMulai-$waktuSelesai';
     } else {
diff --git a/lib/app/modules/petugas_desa/views/pengaduan_view.dart b/lib/app/modules/petugas_desa/views/pengaduan_view.dart
index acb7ceb..651b571 100644
--- a/lib/app/modules/petugas_desa/views/pengaduan_view.dart
+++ b/lib/app/modules/petugas_desa/views/pengaduan_view.dart
@@ -44,7 +44,7 @@ class PengaduanView extends GetView<PengaduanController> {
   Widget _buildLastUpdateInfo(BuildContext context) {
     final lastUpdate = DateTime
         .now(); // Gunakan waktu saat ini atau dari controller jika tersedia
-    final formattedDate = DateTimeHelper.formatDateTimeWithHour(lastUpdate);
+    final formattedDate = FormatHelper.formatDateTimeWithHour(lastUpdate);
 
     return Padding(
       padding: const EdgeInsets.only(top: 8.0),
@@ -280,7 +280,7 @@ class PengaduanView extends GetView<PengaduanController> {
                     ),
               ),
               Text(
-                '${DateTimeHelper.formatNumber(filteredPengaduan.length)} item',
+                '${FormatHelper.formatNumber(filteredPengaduan.length)} item',
                 style: Theme.of(context).textTheme.bodyMedium?.copyWith(
                       color: Colors.grey,
                     ),
@@ -320,7 +320,7 @@ class PengaduanView extends GetView<PengaduanController> {
     // Format tanggal menggunakan DateTimeHelper
     String formattedDate = '';
     if (item.tanggalPengaduan != null) {
-      formattedDate = DateTimeHelper.formatDate(item.tanggalPengaduan);
+      formattedDate = FormatHelper.formatDateTime(item.tanggalPengaduan);
     }
 
     return Card(
diff --git a/lib/app/modules/petugas_desa/views/penitipan_view.dart b/lib/app/modules/petugas_desa/views/penitipan_view.dart
index 197aff0..8dc072b 100644
--- a/lib/app/modules/petugas_desa/views/penitipan_view.dart
+++ b/lib/app/modules/petugas_desa/views/penitipan_view.dart
@@ -5,6 +5,7 @@ import 'package:penyaluran_app/app/modules/petugas_desa/controllers/penitipan_ba
 import 'package:penyaluran_app/app/theme/app_theme.dart';
 import 'package:penyaluran_app/app/utils/format_helper.dart';
 import 'package:penyaluran_app/app/widgets/dialogs/detail_penitipan_dialog.dart';
+import 'package:penyaluran_app/app/widgets/widgets.dart';
 import 'dart:io';
 
 class PenitipanView extends GetView<PenitipanBantuanController> {
@@ -72,7 +73,7 @@ class PenitipanView extends GetView<PenitipanBantuanController> {
                   context,
                   icon: Icons.pending_actions,
                   title: 'Menunggu',
-                  value: DateTimeHelper.formatNumber(
+                  value: FormatHelper.formatNumber(
                       controller.jumlahMenunggu.value),
                   color: Colors.orange,
                 ),
@@ -82,7 +83,7 @@ class PenitipanView extends GetView<PenitipanBantuanController> {
                   context,
                   icon: Icons.check_circle,
                   title: 'Terverifikasi',
-                  value: DateTimeHelper.formatNumber(
+                  value: FormatHelper.formatNumber(
                       controller.jumlahTerverifikasi.value),
                   color: Colors.green,
                 ),
@@ -92,8 +93,8 @@ class PenitipanView extends GetView<PenitipanBantuanController> {
                   context,
                   icon: Icons.cancel,
                   title: 'Ditolak',
-                  value: DateTimeHelper.formatNumber(
-                      controller.jumlahDitolak.value),
+                  value:
+                      FormatHelper.formatNumber(controller.jumlahDitolak.value),
                   color: Colors.red,
                 ),
               ),
@@ -219,7 +220,7 @@ class PenitipanView extends GetView<PenitipanBantuanController> {
                   ),
             ),
             Text(
-              '${DateTimeHelper.formatNumber(filteredList.length)} item',
+              '${FormatHelper.formatNumber(filteredList.length)} item',
               style: Theme.of(context).textTheme.bodyMedium?.copyWith(
                     color: Colors.grey,
                   ),
@@ -360,7 +361,7 @@ class PenitipanView extends GetView<PenitipanBantuanController> {
                     ],
                   ),
                   Text(
-                    DateTimeHelper.formatDate(item.createdAt),
+                    FormatHelper.formatDateTime(item.createdAt),
                     style: Theme.of(context).textTheme.bodySmall?.copyWith(
                           color: Colors.grey.shade700,
                           fontStyle: FontStyle.italic,
@@ -380,15 +381,27 @@ class PenitipanView extends GetView<PenitipanBantuanController> {
                   Row(
                     children: [
                       CircleAvatar(
-                        backgroundColor: AppTheme.primaryColor.withOpacity(0.1),
                         radius: 20,
-                        child: Text(
-                          donaturNama.substring(0, 1).toUpperCase(),
-                          style: TextStyle(
-                            color: AppTheme.primaryColor,
-                            fontWeight: FontWeight.bold,
-                          ),
-                        ),
+                        backgroundColor: AppTheme.primaryColor.withOpacity(0.1),
+                        backgroundImage: item.donatur != null &&
+                                item.donatur!.fotoProfil != null &&
+                                item.donatur!.fotoProfil!.isNotEmpty
+                            ? NetworkImage(item.donatur!.fotoProfil!)
+                            : null,
+                        child: (item.donatur == null ||
+                                item.donatur!.fotoProfil == null ||
+                                item.donatur!.fotoProfil!.isEmpty)
+                            ? Text(
+                                donaturNama.isNotEmpty
+                                    ? donaturNama.substring(0, 1).toUpperCase()
+                                    : '?',
+                                style: TextStyle(
+                                  fontWeight: FontWeight.bold,
+                                  color: AppTheme.primaryColor,
+                                  fontSize: 16,
+                                ),
+                              )
+                            : null,
                       ),
                       const SizedBox(width: 12),
                       Expanded(
@@ -546,8 +559,8 @@ class PenitipanView extends GetView<PenitipanBantuanController> {
                               const SizedBox(height: 4),
                               Text(
                                 isUang
-                                    ? 'Rp ${DateTimeHelper.formatNumber(item.jumlah)}'
-                                    : '${DateTimeHelper.formatNumber(item.jumlah)} $kategoriSatuan',
+                                    ? 'Rp ${FormatHelper.formatNumber(item.jumlah)}'
+                                    : '${FormatHelper.formatNumber(item.jumlah)} $kategoriSatuan',
                                 style: Theme.of(context)
                                     .textTheme
                                     .titleSmall
@@ -947,7 +960,7 @@ class PenitipanView extends GetView<PenitipanBantuanController> {
       kategoriSatuan: kategoriSatuan,
       getPetugasDesaNama: (String? id) => controller.getPetugasDesaNama(id),
       showFullScreenImage: (String imageUrl) {
-        DetailPenitipanDialog.showFullScreenImage(context, imageUrl);
+        ShowImageDialog.showFullScreen(context, imageUrl);
       },
     );
   }
@@ -992,7 +1005,7 @@ class PenitipanView extends GetView<PenitipanBantuanController> {
   Widget _buildLastUpdateInfo(BuildContext context) {
     return Obx(() {
       final lastUpdate = controller.lastUpdateTime.value;
-      final formattedDate = DateTimeHelper.formatDateTimeWithHour(lastUpdate);
+      final formattedDate = FormatHelper.formatDateTimeWithHour(lastUpdate);
 
       return Padding(
         padding: const EdgeInsets.only(top: 8.0),
diff --git a/lib/app/modules/petugas_desa/views/penyaluran_view.dart b/lib/app/modules/petugas_desa/views/penyaluran_view.dart
index 340ed42..5ad1507 100644
--- a/lib/app/modules/petugas_desa/views/penyaluran_view.dart
+++ b/lib/app/modules/petugas_desa/views/penyaluran_view.dart
@@ -5,6 +5,7 @@ import 'package:penyaluran_app/app/theme/app_theme.dart';
 import 'package:penyaluran_app/app/modules/petugas_desa/components/jadwal_section_widget.dart';
 import 'package:penyaluran_app/app/modules/petugas_desa/components/calendar_view_widget.dart';
 import 'package:penyaluran_app/app/modules/petugas_desa/views/tambah_penyaluran_view.dart';
+import 'package:penyaluran_app/app/routes/app_pages.dart';
 
 class PenyaluranView extends GetView<JadwalPenyaluranController> {
   const PenyaluranView({super.key});
@@ -41,13 +42,20 @@ class PenyaluranView extends GetView<JadwalPenyaluranController> {
             ),
           ],
         ),
-        floatingActionButton: FloatingActionButton.extended(
-          onPressed: () => Get.to(() => const TambahPenyaluranView()),
-          backgroundColor: AppTheme.primaryColor,
-          icon: const Icon(Icons.add, color: Colors.white),
-          label: const Text('Tambah Jadwal',
-              style: TextStyle(color: Colors.white)),
-          elevation: 2,
+        floatingActionButton: Column(
+          mainAxisSize: MainAxisSize.min,
+          children: [
+            // Tombol untuk menambah jadwal penyaluran
+            FloatingActionButton.extended(
+              heroTag: 'tambahJadwal',
+              onPressed: () => Get.to(() => const TambahPenyaluranView()),
+              backgroundColor: AppTheme.primaryColor,
+              icon: const Icon(Icons.add, color: Colors.white),
+              label: const Text('Tambah Jadwal',
+                  style: TextStyle(color: Colors.white)),
+              elevation: 2,
+            ),
+          ],
         ),
       ),
     );
@@ -76,6 +84,11 @@ class PenyaluranView extends GetView<JadwalPenyaluranController> {
                 // Ringkasan jadwal
                 _buildJadwalSummary(Get.context!),
 
+                const SizedBox(height: 16),
+
+                // Tombol untuk mengelola lokasi penyaluran
+                _buildLokasiPenyaluranSection(),
+
                 const SizedBox(height: 24),
 
                 // Jadwal hari ini
@@ -224,4 +237,240 @@ class PenyaluranView extends GetView<JadwalPenyaluranController> {
       ],
     );
   }
+
+  // Widget untuk menampilkan section lokasi penyaluran
+  Widget _buildLokasiPenyaluranSection() {
+    return Card(
+      elevation: 2,
+      shape: RoundedRectangleBorder(
+        borderRadius: BorderRadius.circular(12),
+        side: BorderSide(color: Colors.blue.shade100, width: 1),
+      ),
+      child: Padding(
+        padding: const EdgeInsets.all(16.0),
+        child: Column(
+          crossAxisAlignment: CrossAxisAlignment.start,
+          children: [
+            Row(
+              mainAxisAlignment: MainAxisAlignment.spaceBetween,
+              children: [
+                Text(
+                  'Lokasi Penyaluran',
+                  style: TextStyle(
+                    fontSize: 16,
+                    fontWeight: FontWeight.bold,
+                    color: Colors.blue.shade800,
+                  ),
+                ),
+                OutlinedButton.icon(
+                  onPressed: () {
+                    // Menampilkan dialog daftar lokasi penyaluran
+                    _showLokasiPenyaluranDialog();
+                  },
+                  icon: const Icon(Icons.map, size: 16),
+                  label: const Text('Lihat Lokasi'),
+                  style: OutlinedButton.styleFrom(
+                    foregroundColor: Colors.blue,
+                    side: BorderSide(color: Colors.blue.shade300),
+                    padding:
+                        const EdgeInsets.symmetric(horizontal: 12, vertical: 6),
+                  ),
+                ),
+              ],
+            ),
+            const SizedBox(height: 8),
+            Text(
+              'Kelola lokasi penyaluran bantuan untuk masyarakat dengan lebih mudah',
+              style: TextStyle(
+                fontSize: 12,
+                color: Colors.grey.shade600,
+              ),
+            ),
+            const SizedBox(height: 12),
+            ElevatedButton.icon(
+              onPressed: () => Get.toNamed(Routes.tambahLokasiPenyaluran),
+              icon: const Icon(Icons.add_location, size: 16),
+              label: const Text('Tambah Lokasi Penyaluran Baru'),
+              style: ElevatedButton.styleFrom(
+                backgroundColor: Colors.blue.shade50,
+                foregroundColor: Colors.blue.shade700,
+                padding:
+                    const EdgeInsets.symmetric(vertical: 10, horizontal: 12),
+                elevation: 0,
+                shape: RoundedRectangleBorder(
+                  borderRadius: BorderRadius.circular(8),
+                  side: BorderSide(color: Colors.blue.shade200),
+                ),
+              ),
+            ),
+          ],
+        ),
+      ),
+    );
+  }
+
+  // Fungsi untuk menampilkan dialog daftar lokasi penyaluran
+  void _showLokasiPenyaluranDialog() {
+    Get.dialog(
+      Dialog(
+        shape: RoundedRectangleBorder(
+          borderRadius: BorderRadius.circular(16),
+        ),
+        child: Padding(
+          padding: const EdgeInsets.all(16),
+          child: Column(
+            mainAxisSize: MainAxisSize.min,
+            crossAxisAlignment: CrossAxisAlignment.start,
+            children: [
+              Row(
+                mainAxisAlignment: MainAxisAlignment.spaceBetween,
+                children: [
+                  Text(
+                    'Daftar Lokasi Penyaluran',
+                    style: TextStyle(
+                      fontSize: 18,
+                      fontWeight: FontWeight.bold,
+                      color: Colors.blue.shade800,
+                    ),
+                  ),
+                  IconButton(
+                    onPressed: () => Get.back(),
+                    icon: const Icon(Icons.close),
+                    visualDensity: VisualDensity.compact,
+                  ),
+                ],
+              ),
+              const SizedBox(height: 12),
+              Container(
+                constraints: BoxConstraints(
+                  maxHeight: Get.height * 0.5,
+                ),
+                width: double.infinity,
+                child: Obx(() {
+                  if (controller.isLokasiLoading.value) {
+                    return const Center(
+                      child: CircularProgressIndicator(),
+                    );
+                  }
+
+                  if (controller.lokasiPenyaluranCache.isEmpty) {
+                    return Center(
+                      child: Column(
+                        mainAxisSize: MainAxisSize.min,
+                        children: [
+                          Icon(
+                            Icons.location_off,
+                            size: 48,
+                            color: Colors.grey.shade400,
+                          ),
+                          const SizedBox(height: 16),
+                          Text(
+                            'Belum ada lokasi penyaluran',
+                            style: TextStyle(
+                              color: Colors.grey.shade600,
+                            ),
+                          ),
+                          const SizedBox(height: 8),
+                          ElevatedButton.icon(
+                            onPressed: () {
+                              Get.back();
+                              Get.toNamed(Routes.tambahLokasiPenyaluran);
+                            },
+                            icon: const Icon(Icons.add_location),
+                            label: const Text('Tambah Lokasi'),
+                            style: ElevatedButton.styleFrom(
+                              backgroundColor: Colors.blue,
+                              foregroundColor: Colors.white,
+                            ),
+                          ),
+                        ],
+                      ),
+                    );
+                  }
+
+                  return ListView.builder(
+                    shrinkWrap: true,
+                    itemCount: controller.lokasiPenyaluranCache.length,
+                    itemBuilder: (context, index) {
+                      final lokasi = controller.lokasiPenyaluranCache.values
+                          .elementAt(index);
+                      final lokasiId = controller.lokasiPenyaluranCache.keys
+                          .elementAt(index);
+                      return Card(
+                        margin: const EdgeInsets.only(bottom: 8),
+                        child: ListTile(
+                          title: Text(
+                            lokasi.nama,
+                            style: const TextStyle(
+                              fontWeight: FontWeight.bold,
+                            ),
+                          ),
+                          subtitle: Column(
+                            crossAxisAlignment: CrossAxisAlignment.start,
+                            children: [
+                              if (lokasi.alamat != null &&
+                                  lokasi.alamat!.isNotEmpty)
+                                Text(lokasi.alamat!),
+                              Row(
+                                children: [
+                                  if (lokasi.isLokasiTitip)
+                                    Container(
+                                      margin: const EdgeInsets.only(top: 4),
+                                      padding: const EdgeInsets.symmetric(
+                                          horizontal: 6, vertical: 2),
+                                      decoration: BoxDecoration(
+                                        color: Colors.green.shade100,
+                                        borderRadius: BorderRadius.circular(4),
+                                      ),
+                                      child: Text(
+                                        'Lokasi Penitipan',
+                                        style: TextStyle(
+                                          fontSize: 10,
+                                          color: Colors.green.shade800,
+                                        ),
+                                      ),
+                                    ),
+                                ],
+                              ),
+                            ],
+                          ),
+                          leading: Container(
+                            padding: const EdgeInsets.all(8),
+                            decoration: BoxDecoration(
+                              color: Colors.blue.shade50,
+                              shape: BoxShape.circle,
+                            ),
+                            child: Icon(
+                              Icons.location_on,
+                              color: Colors.blue.shade700,
+                            ),
+                          ),
+                        ),
+                      );
+                    },
+                  );
+                }),
+              ),
+              const SizedBox(height: 16),
+              Row(
+                mainAxisAlignment: MainAxisAlignment.end,
+                children: [
+                  OutlinedButton(
+                    onPressed: () {
+                      Get.back();
+                      Get.toNamed(Routes.tambahLokasiPenyaluran);
+                    },
+                    child: const Text('Tambah Lokasi Baru'),
+                    style: OutlinedButton.styleFrom(
+                      foregroundColor: Colors.blue,
+                    ),
+                  ),
+                ],
+              ),
+            ],
+          ),
+        ),
+      ),
+    );
+  }
 }
diff --git a/lib/app/modules/petugas_desa/views/petugas_desa_view.dart b/lib/app/modules/petugas_desa/views/petugas_desa_view.dart
index b2904b5..075af80 100644
--- a/lib/app/modules/petugas_desa/views/petugas_desa_view.dart
+++ b/lib/app/modules/petugas_desa/views/petugas_desa_view.dart
@@ -39,7 +39,7 @@ class PetugasDesaView extends GetView<PetugasDesaController> {
             case 4:
               return const Text('Stok Bantuan');
             default:
-              return const Text('Petugas Desa');
+              return const Text('Dashboard');
           }
         }),
         leading: IconButton(
@@ -223,14 +223,23 @@ class PetugasDesaView extends GetView<PetugasDesaController> {
                     child: CircleAvatar(
                       radius: 40,
                       backgroundColor: Colors.white70,
-                      backgroundImage: controller.profilePhotoUrl != null
+                      backgroundImage: controller.profilePhotoUrl != null &&
+                              controller.profilePhotoUrl!.isNotEmpty
                           ? NetworkImage(controller.profilePhotoUrl!)
                           : null,
-                      child: controller.profilePhotoUrl == null
-                          ? Icon(
-                              Icons.person,
-                              color: Colors.white,
-                              size: 40,
+                      child: (controller.profilePhotoUrl == null ||
+                              controller.profilePhotoUrl!.isEmpty)
+                          ? Text(
+                              controller.nama.isNotEmpty
+                                  ? controller.nama
+                                      .substring(0, 1)
+                                      .toUpperCase()
+                                  : '?',
+                              style: TextStyle(
+                                fontWeight: FontWeight.bold,
+                                color: AppTheme.primaryColor,
+                                fontSize: 30,
+                              ),
                             )
                           : null,
                     ),
@@ -396,6 +405,16 @@ class PetugasDesaView extends GetView<PetugasDesaController> {
                     Get.toNamed('/profile');
                   },
                 ),
+                const Divider(),
+                _buildMenuItem(
+                  icon: Icons.info_outline,
+                  activeIcon: Icons.info,
+                  title: 'Tentang Kami',
+                  onTap: () {
+                    Navigator.pop(context);
+                    Get.toNamed('/about');
+                  },
+                ),
                 _buildMenuItem(
                   icon: Icons.logout,
                   title: 'Keluar',
@@ -411,7 +430,7 @@ class PetugasDesaView extends GetView<PetugasDesaController> {
           Padding(
             padding: const EdgeInsets.symmetric(horizontal: 16, vertical: 8),
             child: Text(
-              '© ${DateTime.now().year} Aplikasi Penyaluran Bantuan',
+              '© ${DateTime.now().year} DisalurKita',
               style: TextStyle(
                 fontSize: 12,
                 color: Colors.grey,
diff --git a/lib/app/modules/petugas_desa/views/riwayat_pengaduan_view.dart b/lib/app/modules/petugas_desa/views/riwayat_pengaduan_view.dart
index 4b47c56..736d936 100644
--- a/lib/app/modules/petugas_desa/views/riwayat_pengaduan_view.dart
+++ b/lib/app/modules/petugas_desa/views/riwayat_pengaduan_view.dart
@@ -43,7 +43,7 @@ class RiwayatPengaduanView extends GetView<RiwayatPengaduanController> {
   // Tambahkan widget untuk menampilkan waktu terakhir update
   Widget _buildLastUpdateInfo(BuildContext context) {
     final lastUpdate = DateTime.now();
-    final formattedDate = DateTimeHelper.formatDateTimeWithHour(lastUpdate);
+    final formattedDate = FormatHelper.formatDateTimeWithHour(lastUpdate);
 
     return Padding(
       padding: const EdgeInsets.only(top: 8.0),
@@ -135,7 +135,7 @@ class RiwayatPengaduanView extends GetView<RiwayatPengaduanController> {
                     ),
               ),
               Text(
-                '${DateTimeHelper.formatNumber(filteredPengaduan.length)} item',
+                '${FormatHelper.formatNumber(filteredPengaduan.length)} item',
                 style: Theme.of(context).textTheme.bodyMedium?.copyWith(
                       color: Colors.grey,
                     ),
@@ -154,9 +154,9 @@ class RiwayatPengaduanView extends GetView<RiwayatPengaduanController> {
     // Format tanggal menggunakan DateTimeHelper
     String formattedDate = '';
     if (item.tanggalPengaduan != null) {
-      formattedDate = DateTimeHelper.formatDate(item.tanggalPengaduan);
+      formattedDate = FormatHelper.formatDateTime(item.tanggalPengaduan);
     } else if (item.createdAt != null) {
-      formattedDate = DateTimeHelper.formatDate(item.createdAt);
+      formattedDate = FormatHelper.formatDateTime(item.createdAt);
     }
 
     Color statusColor = AppTheme.successColor;
